<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      th:with="activeTab='tugaskegiatan'"
      layout:decorate="~{layout}">
    <head>
        <title>Progres Tugas Form</title>
    </head>
    <body>
        <section layout:fragment="content-header">
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Progres Tugas</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a th:href="@{/home}">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                            <a th:href="@{/ep/tugaskegiatan/list}">Progres Tugas</a>
                        </li>
                        <li class="breadcrumb-item active">
                            <strong>Progres Tugas Form</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2">

                </div>
            </div>
        </section>
        <section layout:fragment="content">
            <div class="wrapper wrapper-content">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox ">
                            <div class="ibox-title">
                                <h5>Progres Tugas Form</h5>
                                <div class="ibox-tools">
                                    <a class="collapse-link">
                                        <i class="fa fa-chevron-up"></i>
                                    </a>
                                    <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                        <i class="fa fa-wrench"></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-user">
                                        <li><a href="#" class="dropdown-item">Config option 1</a>
                                        </li>
                                        <li><a href="#" class="dropdown-item">Config option 2</a>
                                        </li>
                                    </ul>
                                    <a class="close-link">
                                        <i class="fa fa-times"></i>
                                    </a>
                                </div>
                            </div>

                            <div sec:authorize="hasAnyAuthority('Administrator')" class="ibox-content">
                                <form th:action="@{/ep/tugaskegiatan/form}" th:object="${tugaskegiatan}" th:method="post">
                                    <input type="hidden" th:field="*{id}" />

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Tugas</label>
                                        <div class="col-sm-10">
                                            <th:block th:if="${kunciform} != true">
                                                <select name="tugas" class="form-control" th:field="*{tugas}" required="true">
                                                    <option th:each="x : ${listTugas}" th:value="${x.id}" th:text="${x.nama} + ' ' + '(' + ${x.stakeholder.keterangan} +')'">option 1</option>
                                                </select>
                                            </th:block>
                                            <th:block th:if="${kunciform} == true">
                                                <input type="hidden" name="tugas" th:field="*{tugas}" th:value="${tugaskegiatan.tugas.id}">
                                                <select class="form-control" required="true" disabled>
                                                    <option th:value="${tugaskegiatan.tugas.id}" th:text="${tugaskegiatan.tugas.nama} + ' ' + '(' + ${tugaskegiatan.tugas.stakeholder.keterangan} +')'">option 1</option>
                                                </select>
                                            </th:block>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Kegiatan</label>
                                        <div class="col-sm-10">
                                            <th:block th:if="${kunciform} != true">
                                                <select name="kegiatan" class="form-control" th:field="*{kegiatan}" required="true">
                                                    <option th:each="x : ${listKegiatan}" th:value="${x.id}" th:text="${x.nama}">option 1</option>
                                                </select>
                                            </th:block>
                                            <th:block th:if="${kunciform} == true">
                                                <input type="hidden" name="kegiatan" th:field="*{kegiatan}" th:value="${tugaskegiatan.kegiatan.id}">
                                                <select class="form-control" required="true" disabled>
                                                    <option th:value="${tugaskegiatan.kegiatan.id}" th:text="${tugaskegiatan.kegiatan.nama}">option 1</option>
                                                </select>
                                            </th:block>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Progres</label>
                                        <div class="col-sm-1"><input type="text" class="form-control" th:field="*{progres}" placeholder="0">
                                            <div class="text-danger" th:if="${#fields.hasErrors('progres')}" th:errors="*{progres}"></div>
                                        </div>
                                        <label class="col-form-label">%</label>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Rincian</label>
                                        <div class="col-sm-10"><textarea name="rincian" type="text" class="form-control" th:field="*{rincian}"></textarea>

                                        </div>
                                    </div>

                                    <div class="hr-line-dashed"></div>
                                    <div class="form-group row">
                                        <div class="col-sm-4 col-sm-offset-2">
                                            <button class="btn btn-white btn-sm" type="reset">Reset</button>
                                            <button class="btn btn-primary btn-sm" type="submit"><i class="fa fa-save"></i> Save changes</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div sec:authorize="hasAnyAuthority('Petugas')" class="ibox-content">
                                <form th:action="@{/ep/tugaskegiatan/update}" th:method="post">
                                    <input name="id" type="hidden" th:value="${tugaskegiatan.id}" />

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Tugas</label>
                                        <div class="col-sm-10">
                                            <th:block th:if="${kunciform} == true">
<!--                                                <input type="hidden" name="tugas" th:field="*{tugas}" th:value="${tugaskegiatan.tugas.id}">-->
                                                <label class="col-form-label"><strong th:text="${tugaskegiatan.tugas.nama}"></strong></label>
                                            </th:block>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Kegiatan</label>
                                        <div class="col-sm-10">
                                            <th:block th:if="${kunciform} == true">
<!--                                                <input type="hidden" name="kegiatan" th:field="*{kegiatan}" th:value="${tugaskegiatan.kegiatan.id}">-->
                                                <label class="col-form-label"><strong th:text="${tugaskegiatan.kegiatan.nama}"></strong></label>

                                            </th:block>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Progres</label>
                                        <div class="col-sm-1"><input type="text" class="form-control" name="progres" th:value="${tugaskegiatan.progres}" placeholder="0">
<!--                                            <div class="text-danger" th:if="${#fields.hasErrors('progres')}" th:errors="*{progres}"></div>-->
                                        </div>
                                        <label class="col-form-label">%</label>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Rincian</label>
                                        <div class="col-sm-10"><textarea name="rincian" type="text" class="form-control" th:value="${tugaskegiatan.rincian}"></textarea>

                                        </div>
                                    </div>

                                    <div class="hr-line-dashed"></div>
                                    <div class="form-group row">
                                        <div class="col-sm-4 col-sm-offset-2">
                                            <button class="btn btn-white btn-sm" type="reset">Reset</button>
                                            <button class="btn btn-primary btn-sm" type="submit"><i class="fa fa-save"></i> Save changes</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </body>
</html>
